<template>
  <single-pane :capt="dictionaryRu.title">
    <ob-table
      :columns="columnsObTable"
      :functionalPanel="true"
      :remote-opt="getObTableData"
      is-fixed-header
      @select="onSelection"
      ref="obTable"
    />
    <ob-modal
      ref="viewItem"
      :title="dictionaryRu.modal.title"
      custom-class="modal-medium"
      :data-grid="$refs.dataGrid"
      :is-show-pagination="true"
      :is-read-only="true"
    >
      <modal
        :selected-data="selectedData"
        :api="api"
        @refresh="onRefresh"
      />
    </ob-modal>
  </single-pane>
</template>

<script>
import SinglePane            from 'common-components/src/obComponents/obSinglePanels';
import paging                from '@/mixins/dictionaries/paging';
import itemMixin             from '@/mixins/dictionaries/edit-item';
import ObModal               from 'common-components/src/obComponents/obModal';
import ObTable               from 'common-components/src/obComponents/obTable';
import Modal                 from './modal';
import { dictionaryDefault } from '@/translations/ru/default'
import { dictionary }        from '@/translations/ru/dictionaries__cargo__etsng'

export default {
  name: 'Etsng',
  components: {
    ObModal,
    ObTable,
    SinglePane,
    Modal
  },
  mixins: [
    paging,
    itemMixin
  ],
  computed: {
    columnsObTable() {
      return [
        {
          title: this.dictionaryRu.columns.code,
          key: 'code'
        },
        {
          title: this.dictionaryRu.columns.denomination,
          key: 'denomination'
        },
        {
          title: this.dictionaryRu.columns.short_denomination,
          key: 'short_denomination'
        },
        {
          title: this.dictionaryRu.columns.cargo_group,
          key: 'cargo_group'
        },
        {
          title: this.dictionaryRu.columns.cargo_class,
          key: 'cargo_class'
        },
        {
          title: this.dictionaryRu.columns.status,
          width: 110,
          key: 'is_active',
          html: data => {
            return data.is_active
              ? this.dictionaryRu.status.active
              : this.dictionaryRu.status.inactive;
          }
        }
      ];
    }
  },
  data() {
    return {
      api: {
        source: 'oboz2-dictionary-etsng-viewer/v1/'
      },
      dictionaryRu: Object.assign(dictionary, dictionaryDefault)
    };
  },
  methods: {}
};
</script>